LVMLOCKCTL(8)

NAME
lvmlockctl — Control for lvmlockd

SYNOPSIS
lvmlockctl [options]

DESCRIPTION
This command interacts with lvmlockd(8).

OPTIONS

-h|--help
    Show this help information.

-q|--quit
    Tell lvmlockd to quit.

-i|--info
    Print lock state information from lvmlockd.

-d|--dump
    Print log buffer from lvmlockd.

-w|--wait 0|1
    Wait option for other commands.

-f|--force 0|1
    Force option for other commands.

-k|--kill vgname
    Kill access to the VG when sanlock cannot renew lease.

-r|--drop vgname
    Clear locks for the VG when it is unused after kill (-k).

-E|--gl-enable vgname
    Tell lvmlockd to enable the global lock in a sanlock VG.

-D|--gl-disable vgname
    Tell lvmlockd to disable the global lock in a sanlock VG.

-S|--stop-lockspaces
    Stop all lockspaces.

USAGE

--info
    This collects and displays lock state from lvmlockd. The display is primitive, incomplete and will change in future version. To print the raw lock state from lvmlockd, combine this option with --dump|-d.

--dump
    This collects the circular log buffer of debug statements from lvmlockd and prints it.

--kill
    This is run by sanlock when it loses access to the storage holding leases for a VG. It runs the command specified in lvm.conf lvmlockctl_kill_command to deactivate LVs in the VG. If the specified command is successful, locks will be dropped for the VG in lvmlockd (the equivalent of lvmlockctl --drop will be run.) If no command is specified, or the command fails, then the user must intervene to forcefully deactivate LVs in the VG, and if successful, run lvmlockctl --drop. For more, see lvmlockd(8).

--drop
    This should only be run after a VG has been successfully deactivated following an lvmlockctl --kill command. It clears the stale lockspace from lvmlockd. When lvmlockctl_kill_command is used, the --kill command may run drop automatically. For more, see lvmlockd(8).

--gl-enable
    This enables the global lock in a sanlock VG. This is necessary if the VG that previously held the global lock is removed. For more, see lvmlockd(8).

--gl-disable
    This disables the global lock in a sanlock VG. This is necessary if the global lock has mistakenly been enabled in more than one VG. The global lock should be disabled in all but one sanlock VG. For more, see lvmlockd(8).

--stop-lockspaces
    This tells lvmlockd to stop all lockspaces. It can be useful to stop lockspaces for VGs that the vgchange --lock-stop command can no longer see, or to stop the dlm global lockspace which is not directly stopped by the vgchange command. The wait and force options can be used with this command.

SEE ALSO
lvm(8), lvmlockd(8)